<?php
// Exit if accessed directly
if (!defined('ABSPATH'))
    exit;

/**
 * Admin Class
 *
 * Handles generic Admin functionality.
 * 
 * @package WooCommerce PDF Vouchers - Redeem Voucher on Cart Total
 * @since 1.0.0
 */
class WOO_Vou_Dot_Admin {

	/**
     * Handle to add new discount option "Total" on discount on options
     * 
     * @package WooCommerce PDF Vouchers - Redeem Voucher on Cart Total
     * @since 1.0.0
     */
    public function woo_vou_dot_coupon_discount_options( $options ) {

        $options['total'] = esc_html__( 'Cart Total', 'woovoucher_dot' );
        return $options;
    }


	 /**
     * Adding Hooks
     * 
     * 
 	* @package WooCommerce PDF Vouchers - Redeem Voucher on Cart Total
 	* @since 1.0.0
     */
    public function add_hooks() {
    	
        add_filter('woo_vou_product_coupon_discount_options', array( $this, 'woo_vou_dot_coupon_discount_options') );
    }
}